# ACE_Condition_Attributes Class Reference

`#include <Condition_Thread_Mutex.h>`

List of all members.

## Public Member Functions

| ACE_Condition_Attributes (int type=ACE_DEFAULT_SYNCH_TYPE)
| Constructor.
| ~ACE_Condition_Attributes (void)
| Destructor.

## Private Member Functions

void | operator= (const ACE_Condition_Attributes &)
| ACE_Condition_Attributes (const ACE_Condition_Attributes &)

## Private Attributes

ACE_condattr_t | attributes_
| The attributes.

## Friends

class | ACE_Condition_Thread_Mutex

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_Condition_Attributes::ACE_Condition_Attributes | ( | int | type = `ACE_DEFAULT_SYNCH_TYPE` | ) |

| Constructor.

ACE_INLINE ACE_Condition_Attributes::~ACE_Condition_Attributes | ( | void |  | ) |

| Destructor.

ACE_Condition_Attributes::ACE_Condition_Attributes | ( | const ACE_Condition_Attributes & |  | ) | `[private]`

## Member Function Documentation

void ACE_Condition_Attributes::operator= | ( | const ACE_Condition_Attributes & |  | ) | `[private]`

## Friends And Related Function Documentation

friend class ACE_Condition_Thread_Mutex`[friend]`

## Member Data Documentation

ACE_condattr_t ACE_Condition_Attributes::attributes_`[private]`

| The attributes.

The documentation for this class was generated from the following files:

- Condition_Thread_Mutex.h
- Condition_Thread_Mutex.inl